Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/cloudfoundry-cli: Cleanup suggested by barthalion

From: Thomas Boerger <thomas_at_webhippie.de>
Date: Tue, 5 Jul 2016 15:50:53 +0000

---
 testing/cloudfoundry-cli/APKBUILD | 16 +++-------------
 1 file changed, 3 insertions(+), 13 deletions(-)
diff --git a/testing/cloudfoundry-cli/APKBUILD b/testing/cloudfoundry-cli/APKBUILD
index b873304..aba93fa 100644
--- a/testing/cloudfoundry-cli/APKBUILD
+++ b/testing/cloudfoundry-cli/APKBUILD
_at_@ -14,26 +14,16 @@ install=""
 subpackages=""
 source="${pkgname}-${pkgver}.tar.gz::https://github.com/cloudfoundry/cli/archive/v$pkgver.tar.gz"
 
-_builddir="${srcdir}/cli-${pkgver}"
+builddir="${srcdir}/cli-${pkgver}"
 _godir="${srcdir}/go"
 _gourl="github.com/cloudfoundry/cli"
 
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
 build() {
 	mkdir -p ${_godir}/bin ${_godir}/src/github.com/cloudfoundry
-	ln -sf ${_builddir} ${_godir}/src/github.com/cloudfoundry/cli
+	ln -sf ${builddir} ${_godir}/src/github.com/cloudfoundry/cli
 
 	export GOPATH="${_godir}"
-	go install ${_gourl}/main
+	go install ${_gourl}/main || return 1
 }
 
 package() {
-- 
2.8.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Jul 05 2016 - 15:50:53 GMT